## GoaCalendar GoaCalendar — Generated C code for the org.gnome.OnlineAccounts.Calendar D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_calendar_interface_info ()
guint | goa_calendar_override_properties ()
gboolean | goa_calendar_get_accept_ssl_errors ()
void | goa_calendar_set_accept_ssl_errors ()
const gchar * | goa_calendar_get_uri ()
gchar * | goa_calendar_dup_uri ()
void | goa_calendar_set_uri ()
void | goa_calendar_proxy_new ()
GoaCalendar * | goa_calendar_proxy_new_finish ()
GoaCalendar * | goa_calendar_proxy_new_sync ()
void | goa_calendar_proxy_new_for_bus ()
GoaCalendar * | goa_calendar_proxy_new_for_bus_finish ()
GoaCalendar * | goa_calendar_proxy_new_for_bus_sync ()
GoaCalendar * | goa_calendar_skeleton_new ()

## Properties

gboolean | accept-ssl-errors | Read / Write
char * | uri | Read / Write

## Types and Values

| GoaCalendar
struct | GoaCalendarIface
struct | GoaCalendarProxy
struct | GoaCalendarProxyClass
struct | GoaCalendarSkeleton
struct | GoaCalendarSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaCalendar
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaCalendarSkeleton
        ╰── GDBusProxy
            ╰── GoaCalendarProxy

## Prerequisites

GoaCalendar requires GObject.

## Implemented Interfaces

GoaCalendarProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaCalendar.

GoaCalendarSkeleton implements GDBusInterface and GoaCalendar.

## Known Implementations

GoaCalendar is implemented by GoaCalendarProxy and GoaCalendarSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.Calendar D-Bus interface in C.

## Functions

### goa_calendar_interface_info ()

    GDBusInterfaceInfo *
    goa_calendar_interface_info (void);

Gets a machine-readable description of the org.gnome.OnlineAccounts.Calendar D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### goa_calendar_override_properties ()

    guint
    goa_calendar_override_properties (GObjectClass *klass,
                                      guint property_id_begin);

Overrides all GObject properties in the GoaCalendar interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### goa_calendar_get_accept_ssl_errors ()

    gboolean
    goa_calendar_get_accept_ssl_errors (GoaCalendar *object);

Gets the value of the "AcceptSslErrors" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaCalendar. |

#### Returns

The property value.

Since: 3.8.0

### goa_calendar_set_accept_ssl_errors ()

    void
    goa_calendar_set_accept_ssl_errors (GoaCalendar *object,
                                        gboolean value);

Sets the "AcceptSslErrors" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaCalendar. |
value | The value to set. |

Since: 3.8.0

### goa_calendar_get_uri ()

    const gchar *
    goa_calendar_get_uri (GoaCalendar *object);

Gets the value of the "Uri" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_calendar_dup_uri()` if on another thread.

[skip]

#### Parameters

object | A GoaCalendar. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 3.8.0

### goa_calendar_dup_uri ()

    gchar *
    goa_calendar_dup_uri (GoaCalendar *object);

Gets a copy of the "Uri" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaCalendar. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 3.8.0

### goa_calendar_set_uri ()

    void
    goa_calendar_set_uri (GoaCalendar *object,
                          const gchar *value);

Sets the "Uri" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaCalendar. |
value | The value to set. |

Since: 3.8.0

### goa_calendar_proxy_new ()

    void
    goa_calendar_proxy_new (GDBusConnection *connection,
                            GDBusProxyFlags flags,
                            const gchar *name,
                            const gchar *object_path,
                            GCancellable *cancellable,
                            GAsyncReadyCallback callback,
                            gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Calendar. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `goa_calendar_proxy_new_finish()` to get the result of the operation.

See `goa_calendar_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### goa_calendar_proxy_new_finish ()

    GoaCalendar *
    goa_calendar_proxy_new_finish (GAsyncResult *res,
                                   GError **error);

Finishes an operation started with `goa_calendar_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_calendar_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaCalendarProxy]

### goa_calendar_proxy_new_sync ()

    GoaCalendar *
    goa_calendar_proxy_new_sync (GDBusConnection *connection,
                                 GDBusProxyFlags flags,
                                 const gchar *name,
                                 const gchar *object_path,
                                 GCancellable *cancellable,
                                 GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Calendar. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `goa_calendar_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaCalendarProxy]

### goa_calendar_proxy_new_for_bus ()

    void
    goa_calendar_proxy_new_for_bus (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `goa_calendar_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `goa_calendar_proxy_new_for_bus_finish()` to get the result of the operation.

See `goa_calendar_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### goa_calendar_proxy_new_for_bus_finish ()

    GoaCalendar *
    goa_calendar_proxy_new_for_bus_finish (GAsyncResult *res,
                                           GError **error);

Finishes an operation started with `goa_calendar_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_calendar_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaCalendarProxy]

### goa_calendar_proxy_new_for_bus_sync ()

    GoaCalendar *
    goa_calendar_proxy_new_for_bus_sync (GBusType bus_type,
                                         GDBusProxyFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GError **error);

Like `goa_calendar_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `goa_calendar_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaCalendarProxy]

### goa_calendar_skeleton_new ()

    GoaCalendar *
    goa_calendar_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.OnlineAccounts.Calendar.

#### Returns

The skeleton object.

[transfer full][type GoaCalendarSkeleton]

## Types and Values

### GoaCalendar

    typedef struct _GoaCalendar GoaCalendar;

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Calendar.

### struct GoaCalendarIface

    struct GoaCalendarIface {
      GTypeInterface parent_iface;

      gboolean  (*get_accept_ssl_errors) (GoaCalendar *object);

      const gchar * (*get_uri) (GoaCalendar *object);
    };

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Calendar.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_accept_ssl_errors` () | Getter for the “accept-ssl-errors” property. |
`get_uri` () | Getter for the “uri” property. |

### struct GoaCalendarProxy

    struct GoaCalendarProxy;

The GoaCalendarProxy structure contains only private data and should only be accessed using the provided API.

### struct GoaCalendarProxyClass

    struct GoaCalendarProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for GoaCalendarProxy.

#### Members

### struct GoaCalendarSkeleton

    struct GoaCalendarSkeleton;

The GoaCalendarSkeleton structure contains only private data and should only be accessed using the provided API.

### struct GoaCalendarSkeletonClass

    struct GoaCalendarSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for GoaCalendarSkeleton.

#### Members

## Property Details

### The `“accept-ssl-errors”` property

      “accept-ssl-errors”        gboolean

Represents the D-Bus property "AcceptSslErrors".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaCalendar

Flags: Read / Write

Default value: FALSE

Since: 3.8.0

### The `“uri”` property

      “uri”                      char *

Represents the D-Bus property "Uri".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaCalendar

Flags: Read / Write

Default value: NULL

Since: 3.8.0